Debian Bug report logs - #387909
no lasi700 drivers loaded in initrd

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Nagilum <nagilum@nagilum.org>

Date: Sun, 17 Sep 2006 12:03:17 UTC

Severity: normal

Done: Frans Pop <elendil@planet.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#387909; Package installer-hppa. Full text and rfc822 format available.

Acknowledgement sent to Nagilum <nagilum@nagilum.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nagilum <nagilum@nagilum.org>
To: submit@bugs.debian.org
Subject: no lasi700 drivers loaded in initrd
Date: Sun, 17 Sep 2006 13:48:26 +0200
[Message part 1 (text/plain, inline)]
Package: installer-hppa
Version: 11.08.2006

After installing Etch using:
ftp://ftp.de.debian.org/debian/dists/etch/main/installer-hppa/20060806/images/netboot/2.6
on a HP9000 712/60 I ended up with an unbootable system.
Apparently the installer forgot to include the scsi driver into the  
initrd so the initrd scripts keep waiting for the new root fs (/)  
until it times out and drops into busybox.

Here was my quick fix:
I booted the install again, checked with lsmod which module was needed  
(in my case lasi700), mounted my filesystems, chrooted to them, added  
"lasi700" to /etc/initramfs-tools/modules and recreated the initrd:
mkinitramfs-kpkg -o /boot/initrd.img-2.6.16-2-parisc `uname -r`

========================================================================
#    _  __          _ __     http://www.nagilum.org/ \n icq://69646724 #
#   / |/ /__ ____ _(_) /_ ____ _  nagilum@nagilum.org \n +491776461165 #
#  /    / _ `/ _ `/ / / // /  ' \  Amiga (68k/PPC): AOS/NetBSD/Linux   #
# /_/|_/\_,_/\_, /_/_/\_,_/_/_/_/   Mac (PPC): MacOS-X / NetBSD /Linux #
#           /___/         x86: FreeBSD/Linux/QNX/Win2k  ARM9: EPOC EV6 #
========================================================================


----------------------------------------------------------------
cakebox.homeunix.net - all the machine one needs..

[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `installer-hppa' to `initramfs-tools'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `initramfs-tools' to `initramfs-tools'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from maximilian attems <maks@sternwelten.at> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to maximilian attems <maks@sternwelten.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nagilum <nagilum@nagilum.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 387909-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: 387909-close@bugs.debian.org
Subject: Bug#387909: fixed in initramfs-tools 0.80
Date: Tue, 19 Sep 2006 07:47:05 -0700
Source: initramfs-tools
Source-Version: 0.80

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.80.dsc
  to pool/main/i/initramfs-tools/initramfs-tools_0.80.dsc
initramfs-tools_0.80.tar.gz
  to pool/main/i/initramfs-tools/initramfs-tools_0.80.tar.gz
initramfs-tools_0.80_all.deb
  to pool/main/i/initramfs-tools/initramfs-tools_0.80_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 387909@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@sternwelten.at> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 19 Sep 2006 07:56:47 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.80
Distribution: unstable
Urgency: high
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@sternwelten.at>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 387808 387809 387841 387909
Changes: 
 initramfs-tools (0.80) unstable; urgency=high
 .
   Release "O partigiano, portami via, che mi sento di morir."
 .
   * update-initramfs: Test for lilo executable earlier otherwise an warning
     would be issued with grub installed and left over lilo config.
 .
   * hook-functions: Add lasi700 to the scsi modules. (closes: 387909) Thanks
     Nagilum <nagilum@nagilum.org>. Thus urgency high.
 .
   * scripts/nfs: Fix typo in ipconfig protocol handling, fix dhcp server
     passing ser-ip as part of root-path, retry every second to not hammer
     an FAI'ed nfs initramfs network.  Thanks for input and patches
     Vagrant Cascadian <vagrant+bugs@freegeek.org>. While we are there refactor
     the loop. (closes: 387841, 387808, 387809)
 .
   * update-initramfs: Check if /proc is mounted for ro_boot_check.
Files: 
 592233da42384cb4efebb6f9f6bdf088 623 utils optional initramfs-tools_0.80.dsc
 86b0d2f4b36f6ffdebd81d2b0d57446b 50245 utils optional initramfs-tools_0.80.tar.gz
 b48e40fe1e51328dd4b40097f6e6939a 56158 utils optional initramfs-tools_0.80_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFEAEy6n7So0GVSSARAkZmAJ9qBmwsmFRa2HYpRubkZ7pIhHljRACfWDbr
7OBrpE5vmws0mb9KPopI0RI=
=zq3e
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#387909; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Dirk Van Hertem <dirk.vanhertem@esat.kuleuven.be>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 387909@bugs.debian.org (full text, mbox):

From: Dirk Van Hertem <dirk.vanhertem@esat.kuleuven.be>
To: Debian Bug Tracking System <387909@bugs.debian.org>
Subject: lasi700 missing from 0.84 initramfs-tools (etch installer, daily built image)
Date: Thu, 02 Nov 2006 04:53:59 +0100
Package: initramfs-tools
Version: 0.84
Followup-For: Bug #387909

Hello,

After installing from a debian etch installer (netinstall, daily built), which i got of http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/hppa/iso-cd/debian-testing-hppa-netinst.iso, I was unable to boot my HPPA pc (HP B132L).

I got the message:
 ALERT! /dev/sda5 does not exist. Dropping to a shell!

In this case /dev/sda5 was supposed to be my "/".

On #debian-boot, fjp advised me to put "lasi700" in the /etc/initramfs-tools/modules file, and run update-initramfs -u.  

Afterwards the system booted nicely. 

If more information is needed, please let me know.

Kind regards,

Dirk Van Hertem

-- Package-specific info:
-- /proc/cmdline
root=/dev/sda5 HOME=/ console=ttyS0 TERM=vt102 palo_kernel=2/vmlinux

-- /proc/filesystems
	ext2
	cramfs
	ext3
	udf
	iso9660

-- lsmod
Module                  Size  Used by
isofs                  41784  0 
udf                   111172  0 
ipv6                  302040  12 
dm_snapshot            21596  0 
dm_mirror              24052  0 
dm_mod                 70224  2 dm_snapshot,dm_mirror
zalon7xx               39440  0 
loop                   17800  0 
lasi_82596             28596  0 
serio_raw               7716  0 
psmouse                47848  0 
sg                     40636  0 
sr_mod                 21508  0 
cdrom                  43036  1 sr_mod
ext3                  167720  5 
jbd                    68756  1 ext3
sd_mod                 23216  8 
lasi700                 3808  7 
53c700                 34924  1 lasi700
scsi_transport_spi     32032  2 zalon7xx,53c700
scsi_mod              160528  7 zalon7xx,sg,sr_mod,sd_mod,lasi700,53c700,scsi_transport_spi

-- kernel-img.conf
do_symlinks = yes
relative_links = yes
do_bootloader = no
do_bootfloppy = no
do_initrd = yes
link_in_boot = yes


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: hppa (parisc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-parisc
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages initramfs-tools depends on:
ii  busybox                       1:1.1.3-3  Tiny utilities for small and embed
ii  cpio                          2.6-17     GNU cpio -- a program to manage ar
ii  klibc-utils                   1.4.27-1   small statically-linked utilities 
ii  module-init-tools             3.2.2-3    tools for managing Linux kernel mo
ii  udev                          0.100-2.2  /dev/ and hotplug management daemo

initramfs-tools recommends no packages.

-- no debconf information

Disclaimer: http://www.kuleuven.be/cwis/email_disclaimer.htm




Bug reopened, originator not changed. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `initramfs-tools' to `linux-2.6'. Request was from maximilian attems <maks@sternwelten.at> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Frans Pop <elendil@planet.nl>:
You have taken responsibility. (Mon, 03 Aug 2009 19:06:03 GMT) Full text and rfc822 format available.

Notification sent to Nagilum <nagilum@nagilum.org>:
Bug acknowledged by developer. (Mon, 03 Aug 2009 19:06:03 GMT) Full text and rfc822 format available.

Message #30 received at 387909-done@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 387909-done@bugs.debian.org
Subject: Bug#387909: no lasi700 drivers loaded in initrd
Date: Mon, 3 Aug 2009 21:02:40 +0200
This issue has been solved in Debian installer quite some time ago. I'm 
therefore closing this report.

For the next Debian release modules for devices on the hppa bus (line 
lasi700) will be loaded automatically by the kernel in combination with 
udev.

Cheers,
FJP




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Sep 2009 07:29:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:12:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.